const quotes = [
    "Creativity is intelligence having fun. - Albert Einstein",
    "Innovation is the ability to see change as an opportunity. - Steve Jobs",
    "The best way to predict the future is to create it. - Peter Drucker",
    "Everything you can imagine is real. - Pablo Picasso",
    "Creativity is contagious, pass it on. - Albert Einstein"
];

function randomInspiration() {
    const quote = quotes[Math.floor(Math.random() * quotes.length)];
    document.getElementById('random-quote').textContent = quote;
}

document.addEventListener('DOMContentLoaded', () => {
    // Initialize random quote
    randomInspiration();
    
    // Smooth scroll for navigation
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Navigation background change on scroll
    window.addEventListener('scroll', () => {
        const nav = document.querySelector('nav');
        if (window.scrollY > 100) {
            nav.style.background = 'rgba(99, 102, 241, 0.9)';
        } else {
            nav.style.background = 'rgba(255, 255, 255, 0.1)';
        }
    });
});